/**
 * Dummy class for use with blogs
 */
package com.kvnallsn.militarynews;

import android.os.Bundle;
import android.view.MenuItem;
import android.widget.AdapterView.AdapterContextMenuInfo;
import android.widget.Toast;

/**
 * @author Kevin Allison
 *
 */
public class BlogReader extends RSSReader {
	
	/*
	 * (non-Javadoc)
	 * @see com.kvnallsn.militarynews.RSSReader#onCreate(android.os.Bundle)
	 */
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		registerForContextMenu(lView);
		new FetchFeed().execute(ServiceInfo.getURL(ServiceInfo.BLOG), ServiceInfo.getServiceName() + "Blog.tmp", "Skip");
	}
	
	/*
	 * (non-Javadoc)
	 * @see android.app.Activity#onContextItemSelected(android.view.MenuItem)
	 */
	public boolean onContextItemSelected(MenuItem item) {
		AdapterContextMenuInfo info = (AdapterContextMenuInfo) item.getMenuInfo();
		switch (item.getItemId()) {
		case SAVE:
			RSSItem newsItem = feed.getItem(info.position);
			ServiceInfo app = (ServiceInfo) BlogReader.this.getApplication();
			app.dbLayer.open();
			if (app.dbLayer.addItem(DatabaseLayer.BLOG_TABLE, newsItem._title, newsItem._pubDate, newsItem._link, "", ServiceInfo.getPrefsName())) {
				Toast.makeText(this, "Post successfully saved.", Toast.LENGTH_SHORT).show();
			} else {
				Toast.makeText(this, "Post is already saved.", Toast.LENGTH_SHORT).show();
			}
			app.dbLayer.close();
			return true;
		}
		return super.onContextItemSelected(item);
	}
}	