/**
 * Ensure the cache does get too big
 */
package com.kvnallsn.militarynews;

import java.io.File;

import android.content.Context;
import android.os.AsyncTask;

/**
 * @author Kevin Allison
 *
 */
public class CacheManagement extends AsyncTask<Context, Void, Void> {

	/* (non-Javadoc) 
	 * @see android.os.AsyncTask#doInBackground(Params[])
	 */
	@Override
	protected Void doInBackground(Context... params) {
		File dir = params[0].getCacheDir();

		// Idea from http://stackoverflow.com/questions/2465432/android-webview-completely-clear-the-cache
		// With a few modifications
		if (dir != null && dir.isDirectory()) {
			try {
				for (File f : dir.listFiles()) {
					f.delete();
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		return null;
	}

}
