/* File: RSSFeed.java  $Id$
 *  
 *
 * Revisions:
 *      $Log$
 */

package com.kvnallsn.militarynews;

import java.util.List;
import java.util.Vector;

public class RSSFeed {
	private String _title = null;
	private String _pubDate = null;
	private int _itemCount =  0;
	private List<RSSItem> _itemList;
	
	RSSFeed() {
		_itemList = new Vector<RSSItem>(0);
	}
	
	int addItem(RSSItem item) {
		_itemList.add(item);
		
		++_itemCount;
		
		return _itemCount;
	}
	
	RSSItem getItem(int location) {
		return _itemList.get(location);
	}
	
	void insertItem(int location, RSSItem item) {
		_itemList.add(location, item);
	}
	
	List<RSSItem> getAllItems(){
		return _itemList;
	}
	
	int getItemCount() {
		return _itemCount;
	}
	
	void setTitle(String title) {
		_title = title;
	}
	
	void setPubDate(String pubDate) {
		_pubDate = pubDate;
	}
	
	String getTitle() {
		return _title;
	}
	
	String getPubDate() {
		return _pubDate;
	}
}